Subject: Re: iBook G3 owners

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 08 Apr 2005 08:38:38 +1000

On Fri, 2005-04-08 at 00:05 +0200, Andreas Schwab wrote:
> Benjamin Herrenschmidt <[email-masked]> writes:
> 
> > http://gate.crashing.org/~benh/ppc32-pmac-sleep-fix.diff
> 
> This patch does not work on the 750fx, I'm getting random crashes on
> wakeup.  When I replace it with this one-liner, all is well again:

I know, but this oneliner is incorrect. It can't be correct, no way.
That is very strange, and that's what I'm trying to figure out. Can you
try instead changing the start address of the flush from 0xfff00000 to 0
by changing the L1 flush bit initalisation from lis r4,0xfff0 to li
r4,0 ?

Ben.